# Converts CR-LF to LF in all files in a ZIP archive
import zipfile, os, sys

def iszipfile(filename):
    if filename[-4:].lower() != '.zip':
        return False
    try:
        f=open(filename, mode='r')
        f.close()
        return True
    except:
        return False

def Finish(s=None):
    if not s is None:
        print s
    a=raw_input('CR to exit...')
    sys.exit()
    
prompt='Change crlf->lf in Zip file\n'+os.getcwd()+': '
inz=raw_input(prompt)
if not iszipfile(inz):
    Finish(inz+' is not a Zip file.')
zin=zipfile.ZipFile(inz)
outz=raw_input('filename to write: ')
if outz[-4:].lower() != '.zip':
    Finish('Output file is not a Zip file')

filelist=zin.namelist()
compress_type=zin.getinfo(filelist[0]).compress_type
zout=zipfile.ZipFile(outz,mode='w',compression=compress_type)

for zinf in zin.infolist():
    r = zin.read(zinf.filename)
    zout.writestr(zinf,r.replace('\r\n','\n'))
zout.close()
Finish('Done.')

    
