''' CSV replacement
Usage:
SpotCsv.readfile(filename)
SpotCsv.rows() returns a list of rows, each row is a list of strings
'''

_rows=[]

def readfile(filename):
    global _rows
    _rows = []
    try:
        f = open(filename,'r')
        slines = f.readlines()
        #print slines
        f.close()
        for sline in slines:
            while len(sline) > 0 and (sline[-1] == chr(13) or sline[-1] == chr(10)):
                sline = sline[:-1]
            sline = sline.strip()
            if len(sline)>0:
                row = []
                inquote = False
                word=''
                for c in sline:
                    if inquote:
                        if c == '"':
                            inquote = False
                        else:
                            word += c
                    elif c == '"':
                        inquote = True
                    elif c == ',':
                        row.append(word)
                        word=''
                    else:
                        word += c
                if len(word)>0:
                    row.append(word)
                _rows.append(row)
    except:
        print 'error in opening: ' + filename

def rows():
    return _rows

