# SpotTest: testing module

import SpotCsv

# test csv library
def testcsv1(filename):
    sout = ''
    try:
        SpotCsv.reafile(filename)
        for row in SpotCsv.rows():
            sout = sout + str(row) + '<br>\n'
    except:
        sout = 'Error'
    return sout

# test file as CSV
def testfile(filename):
    n = -1
    try:
        SpotCsv.readfile(filename)
        for row in SpotCsv.rows():
            if n == -1:
                n = len(row)
            else:
                if len(row) > 0 and len(row) != n:
                    return '<font color=red>number of fields in this row is different: ' + str(row) + "</font>"
        return '<font color=green>OK</font>'
    except:
        return '<font color=red>Error</font>'
    
# test list of files as csv
def testfilelist(lst):
    sout = '<b>Testing data files:</b><br>\n'
    for filename in lst:
        sout = sout + filename + ": " + testfile(filename) + "<br>\n"
    return sout


    
